<?xml version="1.0"?>
<ComicInfo xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <Series>Mighty Morphin Power Rangers</Series>
  <Number>108</Number>
  <Web>https://www.amazon.com/dp/B0C31CSVFX</Web>
  <Summary>In the past, Rita retrieves the mysterious Vessel with one of her close allies, who is shocked to discover The Vessel’s true identity! 
In a chain of emotional events, The Vessel himself will have to contend with where his allegiance will lie in the end. Will he be friend or foe for the Mighty Morphin Power Rangers?</Summary>
  <Notes>Scraped metadata from Amazon [ASINB0C31CSVFX]</Notes>
  <Publisher>BOOM! Studios</Publisher>
  <Genre>Superhero, Fantasy, Science Fiction</Genre>
  <PageCount>25</PageCount>
  <LanguageISO>en</LanguageISO>
  <ScanInformation></ScanInformation>
</ComicInfo>
